## NMDhcpConfig

NMDhcpConfig

## Functions

int | nm_dhcp_config_get_family ()
GHashTable * | nm_dhcp_config_get_options ()
const char * | nm_dhcp_config_get_one_option ()

## Properties

gint | family | Read
GHashTable * | options | Read

## Types and Values

| NMDhcpConfig
#define | NM_DHCP_CONFIG_FAMILY
#define | NM_DHCP_CONFIG_OPTIONS

## Object Hierarchy

        GObject
        ╰── NMObject
            ╰── NMDhcpConfig

## Implemented Interfaces

NMDhcpConfig implements GInitable and GAsyncInitable.

## Description

## Functions

### nm_dhcp_config_get_family ()

    int
    nm_dhcp_config_get_family (NMDhcpConfig *config);

Gets the IP address family of the configuration

#### Parameters

config | a NMDhcpConfig |

#### Returns

the IP address family; either `AF_INET` or `AF_INET6`

### nm_dhcp_config_get_options ()

    GHashTable *
    nm_dhcp_config_get_options (NMDhcpConfig *config);

Gets all the options contained in the configuration.

#### Parameters

config | a NMDhcpConfig |

#### Returns

the GHashTable containing strings for keys and values. This is the internal copy used by the configuration, and must not be modified.

[transfer none][element-type utf8 utf8]

### nm_dhcp_config_get_one_option ()

    const char *
    nm_dhcp_config_get_one_option (NMDhcpConfig *config,
                                   const char *option);

Gets one option by option name.

#### Parameters

config | a NMDhcpConfig |
option | the option to retrieve |

#### Returns

the configuration option's value. This is the internal string used by the configuration, and must not be modified.

## Types and Values

### NMDhcpConfig

    typedef struct _NMDhcpConfig NMDhcpConfig;

### NM_DHCP_CONFIG_FAMILY

    #define NM_DHCP_CONFIG_FAMILY  "family"

### NM_DHCP_CONFIG_OPTIONS

    #define NM_DHCP_CONFIG_OPTIONS "options"

## Property Details

### The `“family”` property

      “family”                   gint

The IP address family of the configuration; either `AF_INET` or `AF_INET6`.

Flags: Read

Allowed values: [0,255]

Default value: 0

### The `“options”` property

      “options”                  GHashTable *

The GHashTable containing options of the configuration.

Type: GLib.HashTable(utf8,utf8)

Flags: Read